|  | Home | Documentation | graph.cpp File Reference updated Wed Jul 19 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Functions | Variables
graph.cpp File Reference
`#include "graphH.h"`
`#include "g.nsmap"`
Include dependency graph for graph.cpp:

Go to the source code of this file.

## Functions
int | main ()

## Variables
static struct Namespace | nosoap_nsmap []
| Namespace mapping table for non-SOAP use. More...
static struct Namespace | soap11_nsmap []
| Namespace mapping table for SOAP 1.1. More...
static struct Namespace | soap12_nsmap []
| Namespace mapping table for SOAP 1.2. More...

## Function Documentation

int main | ( |  | ) |

graph.cpp

Demonstrated tree, digraph, and cyclic graph serialization.

Copyright (C) 2000-2015 Robert A. van Engelen. All Rights Reserved.

Project Source Files

- graph.h Graph (tree, digraph, cyclic graph) data binding
- graph.cpp Test graph serialization as tree, digraph, and cyclic

Generated Files

- graphH.h Serializers
- graphC.cpp Serializers

Build:

> soapcpp2 -CS -Iimport -p graph graph.h c++ -o graph graph.cpp graphC.cpp stdsoap2.cpp

Usage:

> ./graph

Definition at line 91 of file graph.cpp.

## Variable Documentation

struct Namespace nosoap_nsmap[]
| static

Initial value:
=
{
{"SOAP-ENV", NULL, NULL, NULL},
{"SOAP-ENC", NULL, NULL, NULL},
{"xsi", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/*/XMLSchema-instance", NULL},
{"xsd", "http://www.w3.org/2001/XMLSchema", "http://www.w3.org/*/XMLSchema", NULL},
{"g", "urn:graph", NULL, NULL},
{NULL, NULL, NULL, NULL}
}

Namespace mapping table for non-SOAP use.

Definition at line 59 of file graph.cpp.

struct Namespace soap11_nsmap[]
| static

Initial value:
=
{
{"SOAP-ENV", "http://schemas.xmlsoap.org/soap/envelope/", "http://www.w3.org/*/soap-envelope", NULL},
{"SOAP-ENC", "http://schemas.xmlsoap.org/soap/encoding/", "http://www.w3.org/*/soap-encoding", NULL},
{"xsi", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/*/XMLSchema-instance", NULL},
{"xsd", "http://www.w3.org/2001/XMLSchema", "http://www.w3.org/*/XMLSchema", NULL},
{"g", "urn:graph", NULL, NULL},
{NULL, NULL, NULL, NULL}
}

Namespace mapping table for SOAP 1.1.

Definition at line 70 of file graph.cpp.

struct Namespace soap12_nsmap[]
| static

Initial value:
=
{
{"SOAP-ENV", "http://www.w3.org/2003/05/soap-envelope", "http://schemas.xmlsoap.org/soap/envelope/", NULL},
{"SOAP-ENC", "http://www.w3.org/2003/05/soap-encoding", "http://schemas.xmlsoap.org/soap/encoding/", NULL},
{"xsi", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/*/XMLSchema-instance", NULL},
{"xsd", "http://www.w3.org/2001/XMLSchema", "http://www.w3.org/*/XMLSchema", NULL},
{"g", "urn:graph", NULL, NULL},
{NULL, NULL, NULL, NULL}
}

Namespace mapping table for SOAP 1.2.

Definition at line 81 of file graph.cpp.